# SponsorOptions | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

Sponsored transaction options

### Hierarchy

- SponsorOptions

## Index

### Properties

- fee
- network
- sponsorAddressHashmode
- sponsorNonce
- sponsorPrivateKey
- transaction

## Properties

### Optional fee

fee: BN

- Defined in packages/transactions/src/builders.ts:1076

the transaction fee amount to sponsor

### Optional network

network: StacksNetwork

- Defined in packages/transactions/src/builders.ts:1082

the Stacks blockchain network that this transaction will ultimately be broadcast to

### Optional sponsorAddressHashmode

sponsorAddressHashmode: AddressHashMode

- Defined in packages/transactions/src/builders.ts:1080

the hashmode of the sponsor's address

### Optional sponsorNonce

sponsorNonce: BN

- Defined in packages/transactions/src/builders.ts:1078

the nonce of the sponsor account

### sponsorPrivateKey

sponsorPrivateKey: string

- Defined in packages/transactions/src/builders.ts:1074

the sponsor's private key

### transaction

transaction: StacksTransaction

- Defined in packages/transactions/src/builders.ts:1072

the origin-signed transaction

Generated using TypeDoc